Killing it is always a bad idea, because the qemu subprocess will be
left hanging around. The best thing is to send the exit command.
Cherry picked from commit
11be7d8eee16e6249ed2868b5bd552f29508ec02
and modified.
exit 1
fi
- kill_guestfish ()
+ cleanup_guestfish ()
{
- kill $GUESTFISH_PID >/dev/null 2>&1 ||:
+ guestfish --remote -- exit >/dev/null 2>&1 ||:
}
- trap kill_guestfish EXIT
+ trap cleanup_guestfish EXIT ERR
- guestfish --remote run
- # etc.
+ guestfish --remote -- run
+
+ # ...
=head2 REMOTE CONTROL RUN COMMAND HANGING